Skip to main content
GET
/
content
/
listeners
List content listener subscriptions
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/content/listeners \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "sourceType": "reddit",
      "queryConfig": {},
      "pollInterval": "1h",
      "nextPollAt": "2023-11-07T05:31:56Z",
      "lastPolledAt": "2023-11-07T05:31:56Z",
      "lastItemCount": 123,
      "enabled": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

limit
integer
default:50

Max results (default 50, max 200)

Required range: x <= 200
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

Paginated listener list

success
boolean
required
data
object[]
meta
object